rte_per_lcore.h(3)

NAME
rte_per_lcore.h

SYNOPSIS

  Macros

#define RTE_DEFINE_PER_LCORE(type, name)
#define RTE_DECLARE_PER_LCORE(type, name)
#define RTE_PER_LCORE(name)

Detailed Description

Per-lcore variables in RTE

This file defines an API for instantiating per-lcore "globalvariables" that are environment-specific. Note that in all environments, a "shared variable" is the default when you use a global variable.

Parts of this are execution environment specific.

Definition in file rte_per_lcore.h.

Macro Definition Documentation

  #define RTE_DEFINE_PER_LCORE( type, name)
Value:
    __thread type per_lcore_##name

Macro to define a per lcore variable "var" of type "type", don't use keywords like "static" or "volatile" in type, just prefix the whole macro.

Definition at line 33 of file rte_per_lcore.h.

  #define RTE_DECLARE_PER_LCORE( type, name)
Value:
    extern __thread type per_lcore_##name

Macro to declare an extern per lcore variable "var" of type "type"

Definition at line 39 of file rte_per_lcore.h.

  #define RTE_PER_LCORE( name)
Value:
(per_lcore_##name)

Read/write the per-lcore variable value

Definition at line 46 of file rte_per_lcore.h.

Author

Generated automatically by Doxygen for DPDK from the source code.